slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPJDSetProjection

Sets the type of projection to be used in the Jacobi-Davidson solver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDSetProjection(PEP pep,PEPJDProjection proj)

Logically Collective

### Input Parameters

| pep | - the eigenproblem solver context
| proj | - the type of projection

### Options Database Key

| -pep_jd_projection | - the projection type, either orthogonal or harmonic

### See Also

PEPJDGetProjection()

### Level

advanced

### Location

src/pep/impls/jd/pjd.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages